org.apache.tapestry5.internal.plastic

## Class DelegatingAnnotationAccess

- java.lang.Object
- - org.apache.tapestry5.internal.plastic.DelegatingAnnotationAccess

- All Implemented Interfaces:
    AnnotationAccess

      public class DelegatingAnnotationAccess
      extends Object
      implements AnnotationAccess

  Delegating annotation access is used when resolving annotations on a class; it searches the primary annotation access and if not found there (and `Inherited` is on the annotation being searched), it searches in the inherited access.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingAnnotationAccess(AnnotationAccess primary, AnnotationAccess inherited)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends Annotation> T` | `getAnnotation(Class<T> annotationType)` Returns an instantiated annotation, or null if the target does not have the indicated annotation.
    `<T extends Annotation> boolean` | `hasAnnotation(Class<T> annotationType)` Checks to see if the target has an annotation of the given type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingAnnotationAccess

          public DelegatingAnnotationAccess(AnnotationAccess primary,
                                            AnnotationAccess inherited)

  - ### Method Detail

    - #### hasAnnotation

          public <T extends Annotation> boolean hasAnnotation(Class<T> annotationType)

      Description copied from interface: `AnnotationAccess`
      Checks to see if the target has an annotation of the given type.
      Specified by:
        `hasAnnotation` in interface `AnnotationAccess`

    - #### getAnnotation

          public <T extends Annotation> T getAnnotation(Class<T> annotationType)

      Description copied from interface: `AnnotationAccess`
      Returns an instantiated annotation, or null if the target does not have the indicated annotation.
      Specified by:
        `getAnnotation` in interface `AnnotationAccess`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.